Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)

From: Gábor Boskovits <[email-masked]>
Date: Wed, 23 Jan 2019 10:56:31 +0100

Hello Mike,

Mike Gerwitz <[email-masked]> ezt írta (időpont: 2019. jan. 23., Sze, 7:10):
>
> Well, I'm not getting those hours of my life back.
>

Sorry to hear that.

> On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> > usb usb3: root hub lost power or was reset
>
> [...]
>
> > uhci_hcd 0000:00:1d.0: host controller process error, something bad happened!
> > uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> > uhci_hcd 0000:00:1d.0: HC died; cleaning up
>
> [...]
>
> > (Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
> > to dmesg.)
>
> Right after sending this message, I recalled that I used powertop to do
> "auto tuning".  Sure enough, one of the lines was this:
>
>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>
> By disabling it, it runs this command:
>
>   echo on > /sys/bus/usb/devices/usb6/power/control
>
> And it resolves my suspend issues on 4.20.3-gnu.
>

I am glad you finally found out.

> What sucks even more is that I had disabled those settings on the USB
> controllers over a year ago (because it was putting my USB keyboard to
> sleep, dropping the first keypress); don't know how it got re-enabled,
> but the user is probably to blame.
>
> Sorry for the noise, everyone.  I hope that my suffering provides some
> value to others.

No problem.

> This bug can be closed.

You can close bugs by sending a mail to
bugnumber-done.debbugs.gnu.org, like I did here.

> --
> Mike Gerwitz
> Free Software Hacker+Activist | GNU Maintainer & Volunteer
> GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
> https://mikegerwitz.com

Best regards,
g_bor